body {
	font-family: "Arial","Microsoft JhengHei",Apple LiGothic Medium,sans-serif;
	font-size: 16px;
	font-weight: 500;
	line-height: 1.5;
	color: #999;
	background: #000;
	overflow-x: hidden;
	-webkit-font-smoothing: antialiased;
}

.js .loading::before,
.js .loading::after {
	content: '';
	position: fixed;
	z-index: 1000;
}

.loading::before {
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: #000;
}

.loading::after {
	top: 50%;
	left: 50%;
	width: 40px;
	height: 40px;
	margin: -20px 0 0 -20px;
	border: 5px solid #ccc;
	border-bottom-color: #666;
	border-radius: 50%;
	animation: animLoader 0.8s linear infinite forwards;
}

@keyframes animLoader {
	to { transform: rotate(360deg); }
}

a {
	text-decoration: none;
	color: #aaa;
	outline: none;
}

a:hover {
	color: #333;
}

.hidden {
	position: absolute;
	overflow: hidden;
	width: 0;
	height: 0;
	pointer-events: none;
}

.center {
	text-align: center;
}

#main {
	display: flex;
	flex-wrap: wrap;
}

/* Masonry */

.content {
	flex: 1;
	max-width: 4096px;
	margin: 0 auto;
}

.masonry {
	margin: 5px auto;
}

.snapic-about {
	position: relative;
	padding: 0 10px;
	text-align: center;
	word-wrap: break-word;
}

.snapic-info {
	position: relative;
	padding: 0 10px;
	text-align: center;
	word-wrap: break-word;
}

.snapic-h1,.snapic-h2 {
	display: inline-block;
	font-weight: normal;
	text-align: left;
}

.snapic-h1 {
	font-size: 32px;
}

.snapic-h2 {
	font-size: 14px;
}

.snapic-h3 {
	font-size: 14px;
	text-align:justify;
}

.snapic-h2,
.snapic-h3 {
	color: #999 !important;
}

.snapic-info:hover .snapic-h2,
.snapic-info:hover .snapic-h3 {
	color: #333 !important;
	-webkit-transition: all 0.3s ease-in-out;
	transition: all 0.3s ease-in-out;
}

.snapic-h3 a {
	text-decoration: none;
	color: #ff8800;
	outline: none;
}

.snapic-h3 a:hover {
	color: #333;
}

/* Footer */
.footer {
	padding: 1em 0;
}

.footer span {
	display: inline-block;
	width: calc(100% - 20px);
	padding: 0 10px;
	text-align: left;
}

.powered {
	margin: 1em auto 0 auto;
	font-size: 14px;
}

/* Top */
#gotop {
	position: fixed;
	display: none;
	z-index: 3;
}

#gotop a {
	display: block;
	font-family: sans-serif;
	text-align: center;
	text-decoration: none;
	color: #fff;
	font-size: 16px;
	line-height: 35px;
	font-weight: 100;
	border: 1px solid #fff;
	border-radius: 100%;
	height: 36px;
	width: 36px;
	background: #000;
	opacity: .3;
	text-transform: uppercase;
	-webkit-transition: all 0.3s ease-in-out;
	transition: all 0.3s ease-in-out;
	z-index: 99;
}

#gotop a:hover {
	opacity: .7;
}

#gotop {
	bottom: 72px;
	right: 18px;
}

/* Grid */
.grid {
	position: relative;
	z-index: 2;
	display: block;
	margin: 0 auto;
	height: 100% !important;
}

.grid--hidden {
	position: fixed !important;
	z-index: 1;
	top: 0;
	left: 0;
	width: 100%;
	pointer-events: none;
	opacity: 0;
}

.js .grid--loading::before,
.js .grid--loading::after {
	content: '';
	z-index: 1000;
}

.js .grid--loading::before {
	position: fixed;
	top: 0;
	left: 0;
	width: 100vw;
	height: 100vh;
	background: #000;
}

.js .grid--loading::after {
	position: absolute;
	top: calc(25vh - 20px);
	left: 50%;
	width: 40px;
	height: 40px;
	margin: 0 0 0 -20px;
	border: 5px solid #ccc;
	border-bottom-color: #666;
	border-radius: 50%;
	animation: animLoader 0.8s linear forwards infinite;
}

.grid__sizer {
	margin-bottom: 0 !important;
}

.grid__link,
.grid__img {
	display: block;
	border-top-left-radius: 3px;
	border-top-right-radius: 3px;
}

.grid__link {
	max-height: 780px;
	overflow: hidden;
}

.grid__img {
	width: 100%;
	-webkit-transition: all 0.3s ease-in-out;
	transition: all 0.3s ease-in-out;
}

.grid__img:hover {
	transform: scale(1.05);
}
.grid__deco {
	position: absolute;
	top: 0;
	left: 0;
	pointer-events: none;
}

.grid__deco path {
	fill: none;
	stroke: #fff;
	stroke-width: 2px;
}

.grid__reveal {
	position: absolute;
	z-index: 50;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	pointer-events: none;
	opacity: 0;
	background: #000;
}

.grid .grid__item,
.grid .grid__sizer {
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	width: calc(50% - 10px);
	margin: 5px 5px 5px;
	background: #333;
	-webkit-transition: all 0.3s ease-in-out;
	transition: all 0.3s ease-in-out;
	border-radius: 3px;
	overflow: hidden;
}

.grid .grid__item:hover,
.grid .grid__sizer:hover {
	background: #fff;
	-webkit-transition: all 0.3s ease-in-out;
	transition: all 0.3s ease-in-out;
}

@media screen and (min-width: 60em) {
	.grid .grid__item,
	.grid .grid__sizer {
		width: calc((100% / 3) - 10px);
		margin: 5px 5px 5px;
	}
}

@media screen and (min-width: 70em) {
	.grid .grid__item,
	.grid .grid__sizer {
		width: calc(25% - 20px);
		margin: 5px 10px 10px;
	}
}

@media screen and (min-width: 120em) {
	.grid .grid__item,
	.grid .grid__sizer {
		width: calc(20% - 20px);
		margin: 5px 10px 10px;
	}
}

@media screen and (max-width: 50em) {
	#main {
		display: block;
	}
	
	.content {
		max-width: 100vw;
	}
				
	.grid__img:hover {
	transform: scale(.97);
	}
}

@media(max-width:600px){
	#gotop {
		bottom: 36px;
	}
	
	.grid .grid__item,
	.grid .grid__sizer {
		width: calc(50% - 10px);
		margin: 5px 5px 5px;
	}
}

@media(max-width:480px){
	.grid .grid__item,
	.grid .grid__sizer {
		width: calc(100% - 10px);
		margin: 5px 5px 5px;
	}

	.fancybox-nav span,
	.fancybox-prev span {
		visibility: visible !important;
		opacity: .7;
		animation: lr 1s ease-in-out 1s infinite alternate;
	}

	@keyframes lr {
		from {
			margin-right: 0px;
		}
		to {
			margin-right: -12px;
		}
	}
}
